I've posted several times before and here I go again...
I'm writing a code that is essentially going to rename a group of files (like a batch file renamer does) and resolve the links. The renamer is finally done! After the files are renamed, the user manually browses for an assembly that goes with their recently renamed files, with the initial directory path in the same folder that the files were in. That's also done. Next, the user selects open to open his/her assembly. This is done. What pops up, of course, is the resolve links dialog screen.
What I would like to do here is click skip all, click ok (a message box pops up after clicking skip all), and then start the replace components procedure that I came up with. I intend for this all to be automated.
So my question is, how can I tell VBA to tell Inventor to "Skip All" and then press "OK"? I've been reading up on the VBA OLE Automation and thus far it has not been helpful.
Thank you ahead of time!!!
Solved! Go to Solution.
I've posted several times before and here I go again...
I'm writing a code that is essentially going to rename a group of files (like a batch file renamer does) and resolve the links. The renamer is finally done! After the files are renamed, the user manually browses for an assembly that goes with their recently renamed files, with the initial directory path in the same folder that the files were in. That's also done. Next, the user selects open to open his/her assembly. This is done. What pops up, of course, is the resolve links dialog screen.
What I would like to do here is click skip all, click ok (a message box pops up after clicking skip all), and then start the replace components procedure that I came up with. I intend for this all to be automated.
So my question is, how can I tell VBA to tell Inventor to "Skip All" and then press "OK"? I've been reading up on the VBA OLE Automation and thus far it has not been helpful.
Thank you ahead of time!!!
Solved! Go to Solution.
I don't know why I spend countless hours searching and then figure it out right after I post, but oh well.
Here is the solution:
ThisApplication.SilentOperation = True 'Suppresses the dialog
I don't know why I spend countless hours searching and then figure it out right after I post, but oh well.
Here is the solution:
ThisApplication.SilentOperation = True 'Suppresses the dialog
Can't find what you're looking for? Ask the community or share your knowledge.